import { isValidPhone } from '..'

it('returns false for invalid phones', () => {
  expect(isValidPhone('')).toBeFalsy()
  expect(isValidPhone('a')).toBeFalsy()
  expect(isValidPhone('!@#!$%')).toBeFalsy()
  expect(isValidPhone('+(1)123a')).toBeFalsy()
  expect(isValidPhone('+(1)-234-5678$')).toBeFalsy()
})

it('returns true for valid phones', () => {
  expect(isValidPhone('+(1)')).toBeTruthy()
  expect(isValidPhone('+(1)12345')).toBeTruthy()
  expect(isValidPhone('+(1) 234 5678')).toBeTruthy()
  expect(isValidPhone('+(1)-234-5678')).toBeTruthy()
})
